/*
 * virdevmapper.h: Functions for handling device mapper
 *
 * Copyright (C) 2018 Red Hat, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library.  If not, see
 * <http://www.gnu.org/licenses/>.
 *
 * Authors:
 *     Michal Privoznik <mprivozn@redhat.com>
 */

#ifndef __VIR_DEVMAPPER_H__
# define __VIR_DEVMAPPER_H__

#include "internal.h"

int
virDevMapperGetTargets(const char *path,
                       char ***devPaths);

bool
virIsDevMapperDevice(const char *dev_name) ATTRIBUTE_NONNULL(1);
#endif /* __VIR_DEVMAPPER_H__ */
